// file: $isip/class/mmedia/Angrifier/angr_01.cc
// version: $Id: angr_01.cc 8542 2002-08-08 20:05:40Z gao $
//

// isip include files
//
#include "AnnotationGraph.h"
#include <Console.h>

// method: debug
//
// arguments:
//  const unichar* message: (input) information message
//
// return: a boolean value indicating status
//
// this method dumps the contents of an object to the console
//
boolean AnnotationGraph::debug(const unichar* msg_a) const {
  
  // build a debug string
  //
  String value;
  String output;

  // output an information message
  //
  output.debugStr(name(), msg_a, L":");
  Console::put(output);
  Console::increaseIndention();

  // output annotation parameters
  //
  id_d.debug(L"id_d");
  index_d.debug(L"index_d");
  annoseq_d.debug(L"annoseq_d");
 
  // exit gracefully
  //
  return true;
}





